# Changelog

## [Unreleased]
### Added
- New **Generalized Spatial Autoregression (GSAR)** model for spatial econometrics.
- Joint modeling of **mean and variance** with spatial dependencies and semiparametric effects.
- Support for **generalized additive models (GAM)** allowing non-parametric terms in both mean and variance models.
- Flexible modeling for non-normal response variables in the exponential family (e.g., logistic, probit, Poisson).

### Changed
- Enhanced **spatial regression** methods to improve computational efficiency and statistical properties.
- Improved documentation with more detailed explanations and examples of the new GSAR model.

## [1.0.0] - 2025-03-26
### Added
- Initial release of the package with the core functionality for spatial modeling using GSAR.
- Joint modeling of the dependent variable's **mean and variance** with spatial effects.
- **Semiparametric effects** incorporated into both models for better flexibility and model fitting.

### Fixed
- Bug fixes in the spatial weighting matrices for better compatibility with different data structures.

